
ctools - Change request #1336

Remove 'tscalc' parameter from ctlike.par

10/14/2014 07:22 PM - Mayer Michael

Status: Closed Start date: 10/14/2014

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

If a user wants to steer wether to compute TS values for a model via the XML file, she/he can add tscalc="1" to the corresponding

model snippet in the xml file. To actually calculate the TS value the user must not forget to activate ctlike["tscalc"].boolean(True),

where the default is false. In my opinion, it is easier to steer the TS computation via the xml file only. Therefore, I propose to remove

the tscalc parameter from ctlike.

History

#1 - 10/14/2014 07:30 PM - Knödlseder Jürgen

Indeed, we should avoid to have two places for enabling a feature in the code, as this would confuse the user. I thus support to remove the

parameter.

The TS computation flag now being quite hidden, I think it becomes more and more important to have a nice tool (I guess a graphical tool) to manage

XML model files. Fermi has a ModelEditor which is a pretty simple tool. I think we could add an equivalent tool in the form of a Python script. This

would then make it easy for a user to switch on/off TS computation by simply clicking on a radio button.

#2 - 10/17/2014 04:47 PM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- Target version set to 00-08-00

- % Done changed from 0 to 100

I removed the parameter 'tscalc' from the ctlike. The new version is available on branch 1336-remove-tscalc-from-ctlike.

I agree that a graphical tool would be the ultimate goal to increase the usability of the features available for the models. I looked into the Fermi

ModelEditor, which seems quite straight forward. However, for unbinned analysis of CTA data, the user might want to generate all necessary

background models in one click instead of adding each one by hand. Therefore, it might get more complex in the end. We could start a new issue for

that.

#3 - 10/17/2014 08:43 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel branch.
